package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Pbl;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface PblMapper {

    int insert(Pbl record);

    int insertSelective(Pbl record);

    int updateByPrimaryKeySelective(Pbl record);

    int updateByPrimaryKey(Pbl record);

    int deleteByPrimaryKey(Pbl record);

    int deleteByIds(Collection<Object> collection);

    Pbl selectByPrimaryKey(Pbl record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Pbl> dyncRead(Map<String, Object> dyncMap);

    String selectByGidLevyno(String ownref);

    String selectByNidLevyno(String ownref);

    Pbl selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    List<Pbl> selectinrByTrninr(String trninr);

    int updateRelflgByInr (String inr);

    int updateold(@Param("levyno") String levyno,@Param("inr") String inr );

}